![3 scenarios forecast.png](uL7Gn6TmmVCD)

In the [3 scenarios forecast](flow_zone:WQT2ErV) zone you can use the planned production dataset to compute the impact of different scenarios in terms of co2 emissions. It relies on the previously trained model as well as the time series and co2 plugins again.

Although complicated in appearances, it's actually always the same pattern for the 3 scenarios after the future production plan data is resampled and the data is splitted by scenarios. Then : 
1. The trained model is used to forecast future values
2. Data is prepared to have all the consumptions (past and forecasted) in the same column
3. The dataset is enriched with coordinates of the factories
4. Electricity consumption is converted into CO2 emissions using the co2 plugin
5. Data is stacked to have all the 3 scenarios in a single dataset
6. The data is aggregated by factory and scenario

The last dataset contains the visualizations of the different scenarios.
