# Flow zones structure 

Below is the graph of the project's flow zones :
![flow.png](hzU0BM05Wxju)

Each flow zone is linked to a specific component of the project: 

- **Data Ingestion**  has the role to ingest all the input data sources <br />([Learn more about the Data Ingestion zone](article:21)).

- **Electricity Consumption Preparation** prepares the data so that it can be processed in the other zones. ([Learn more about the Electricity Consumption Preparation](article:23)).

- **CO2 conversion** converts factories addresses into coordinates and converts electricity consumption into CO2 emissions ([Learn more about the CO2 conversion zone](article:24)).

- **ML: Time series forecasting** computes the forecasting of electricity consumption and converts it into co2 emissions ([Learn more about ML: Time series forecasting](article:26)).

- **Electricity Price** adds pricing information from a csv file.([Learn more about Electricity Price](article:10)).

- **3 scenarios forecast** shows the differences in co2 emissions according to 3 different scenarios of production. ([Learn more about 3 scenarios forecast](article:12)).
